What are the hardware/software requirements for running QuantumATK O-2018.06?

            The requirements and details below apply to QuantumATK O-2018.06. Requirements for older versions can be found in the FAQ.

            Summary

            • As a general rule, QuantumATK works on any reasonably modern and updated computer running Windows or Linux.

            • Both the simulation engines of QuantumATK and the GUI NanoLab run fine on a laptop, but calculating or visualizing complex systems with many atoms can consume a large amount of computational or graphical resources.
            • The ideal platform for running larger calculations is a cluster, or a powerful workstation. You should have a fairly recent 64-bit processor, and run A64-bit Intel/AMD PCTK in parallel. You don't necessarily need a huge amount of nodes; even parallelizing over 3-4 nodes gives a significant performance improvement. QuantumATK also takes good advantage of multicore processors.

            • Smaller systems (up to 100 atoms perhaps, depending on the details) can normally be run on a laptop, and also here running in parallel with MPI can be very advantageous. Note that MPI parallelization and multicore threading is also available for the Windows version of QuantumATK.

            • NanoLab should be run on a machine with a graphics card with hardware acceleration. A dedicated card from e.g. NVIDIA or ATI is best for proper 3D graphics performance, but also integrated cards like Intel HD work fine, as long as (very importantly!) you install the corresponding vendor drivers, and do not use e.g the Mesa drivers on Linux.

            If QuantumATK fails to run on your system, it is likely that a similar problem already has been reported and solved. The solution can then be found in the FAQ. If not, post your problem on the Forum, with as many details as you possibly can, including the exact software version (and distribution for Linux) and any error messages that appear, and we will try to find a solution.

            Detailed requirements

            CPU

            QuantumATK run on any modern 64-bit Intel/AMD PC.

            Memory

            The memory required to run a calculation in QuantumATK depends very strongly on the parameters and the system treated. To run the tutorial examples, a minimum of 2 GB physical memory is required, while a system with 4 GB should be able to run most calculations with approximately 500 atoms. Note, however, that some parameter choices can cause such calculations to require substantially more memory. For parallel calculations it is recommend to have 8 to 16 GB per core.

            Hard drive space

            To install QuantumATK, 1.6 GB of free space is required. When running calculations in QuantumATK, temporary files are created and the calculated result files can require substantial amounts of disk space.

            Graphics

            NanoLab relies on OpenGL and shader technology for fast rendering of molecular and electronic structures. This has been tested with over 1 million atoms and bonds, but to achieve reasonable performance for large (and even small) systems requires a hardware accelerated OpenGL driver.

            Software-emulated OpenGL works to run NanoLab in basic mode, but the 3D performance will be very poor.

            • The minimal requirement to start VNL is OpenGL version 1.2.
            • The minimal version VNL has been tested on is Mesa version 6.4.2 (which provides OpenGL 1.5).

            This will however not be sufficient for shader support, which is required for a lot of the graphics functionality and good 3D performance in NanoLab.

            • The minimal version of the OpenGL shader library is 3.3.
            • So far, no Mesa drivers have been tested successfully for shader support (even version 10.1.3 which claims to support OpenGL 3.3).
            • Thus, it is required to use vendor drivers (NVIDIA, ATI, Intel, etc) for shader support.

            A few notes:

            • Vendor-specific drivers supporting hardware-accelerated OpenGL (e.g. drivers downloaded from manufacturer's website) should always be used, instead of the generic drivers shipped with the OS, such as the MesaGL drivers on Linux.
            • If the driver does not support shader technology, this option will be disabled (see the "Preferences" dialog, on the "Graphics" tab) and the graphical performance will be significantly reduced, but NanoLab will still operate.
            • Generally, if NanoLab doesn't run properly in terms of graphics, most likely it is caused by the driver, not by the hardware. Even an old or quite basic 3D graphics card with properly configured OpenGL driver should be able to run NanoLab.
            • A dedicated card with a GPU is better than a motherboard-integrated card, but not a strict requirement.
            • The size of VRAM is not critical, although the more the better of course, since more texture objects can be stored in VRAM and be accessed faster. If the VRAM is insufficient, main RAM will be used instead.

            On Linux you can test your OpenGL installation by running the utility glxgears. If it fails, NanoLab will probably not run properly on your system and you should review the system configuration. Helpful information can be found from the output of glxinfo, as it will identify the driver used and its capabilities.

            While it is technically possible to run NanoLab over a network connection on a remote machine, this is not recommended since the performance will typically be very limited. If you are forced to use such a solution, ensure that the 3D rendering is still hardware-accelerated and properly tunneled, or use some technology like VirtualGL.

            Network

            Running QuantumATK requires that TCP/IP networking is installed.

            By default, the license system in QuantumATK must be allowed to receive incoming connections on port 27020 (TCP+UDP). On Windows, normally the user will be asked to accept this exception to the Windows firewall rules the first time the application is launched, but if specific firewall software is used, you may need to create the rules manually. The latter may also be the case on Linux, esp. if enhanced security features are enabled.

            Parallel support

            Both the Linux and Windows versions are compiled against Intel MPI library. 
            Intel's mpiexec.hydra is provided on Windows and Linux - this is the recommended way to run QuantumATK in parallel.

            We have successfully tested parallel operation under

            as well as Cray MPI (aprun) although it requires some special tweaking.

            In addition, QuantumATK will thread, using OpenMP, over the cores of multicore processors. No additional software is needed for this, however some configuration might be necessary.

            Specific platform requirements

            Windows

            QuantumATK has been successfully tested on 64-bit editions of Microsoft Windows 7, 8, and 10.

            It is not possible to run a terminal-based QuantumATK session via a remote network connection.

            Linux

            Distribution support

            QuantumATK typically runs on all modern Linux distributions without problems, provided all the latest updates have been installed.

            ATK and VNL has been successfully tested on Red Hat/CentOS 6, SUSE, Ubuntu, and several other ones. The following list indicates the minimal version, related to the library requirements below, for some popular distributions:

            • Ubuntu 9.10 (karmic)
            • Debian 6.0 (squeeze)
            • Mint 8 (helena)
            • SUSE /openSUSE 11.2
            • Red Hat Enterprise Linux / CentOS 6.7
            • Scientific Linux 6.7

            Note that RedHat 5 and derived distributions are not supported.

            In general, long term support (LTS) versions are always recommended.

            Libraries

            The QuantumATK package is fully self-contained, and in general you should not need to install any additional libraries. However, some required libraries may not be present by default on all installations. Typically, these can always easily be installed using the package manager.

            LIBC versions required

            • glibc 2.7
            • libstdc++ 6.0.11 (GCC 4.4.0)

            Libraries that QuantumATK links dynamically to, and which are not included in the package:

            • libatk-1.0.so.0
            • libcairo.so.2
            • libcrypt.so.1
            • libc.so.6
            • libdb-4.7.so
            • libdl.so.2
            • libfontconfig.so.1
            • libfreetype.so.6
            • libgcc_s.so.1
            • libgdbm.so.2
            • libgdk_pixbuf-2.0.so.0
            • libgdk-x11-2.0.so.0
            • libgio-2.0.so.0
            • libglib-2.0.so.0
            • libGL.so.1
            • libGLU.so.1
            • libgmodule-2.0.so.0
            • libgobject-2.0.so.0
            • libgthread-2.0.so.0
            • libgtk-x11-2.0.so.0
            • libICE.so.6
            • libm.so.6
            • libncurses.so.5
            • libncursesw.so.5
            • libnsl.so.1
            • libpanelw.so.5
            • libpango-1.0.so.0
            • libpangocairo-1.0.so.0
            • libpangoft2-1.0.so.0
            • libpng12.so.0
            • libpthread.so.0
            • librt.so.1
            • libSM.so.6
            • libstdc++.so.6
            • libutil.so.1
            • libX11.so.6
            • libX11-xcb.so.1
            • libxcb.so.1
            • libXext.so.6
            • libXft.so.2
            • libXi.so.6
            • libXmu.so.6
            • libXrender.so.1
            • libz.so.1

            All these libraries should be available on all Linux distributions, but may not be installed by default (in particular libxcb).

            If you experience any problems starting QuantumATK, start by looking in the FAQ. If no solution can be found there, post a new question on the Forum with all details, including the exact software version (and distribution for Linux) and the log output.



            Updated: 07 Jun 2018 05:37 AM
            Helpful?  
            Help us to make this article better
            0 0